LIBPFM(3)

NAME
libpfm_intel_ivbep_unc_irp - support for Intel Ivy Bridge-EP IRP uncore PMU

SYNOPSIS
#include <perfmon/pfmlib.h>

PMU name: ivbep_unc_irp
PMU desc: Intel Ivy Bridge-EP IRP uncore PMU

DESCRIPTION
The library supports the Intel Ivy Bridge uncore PMU. This PMU model only exists on Ivy Bridge model 62.

MODIFIERS
The following modifiers are supported on Intel Ivy Bridge IRP uncore PMU:

e   Enable edge detection, i.e., count only when there is a state transition from no occurrence of the event to at least one occurrence. This modifier must be combined with a threshold modifier (t) with a value greater or equal to one. This is a boolean modifier.

t   Set the threshold value. When set to a non-zero value, the counter counts the number of cycles in which the number of occurrences of the event is greater or equal to the threshold. This is an integer modifier with values in the range [0:255].

AUTHORS
Stephane Eranian <eranian@gmail.com>